/* 
 * effectue le pavage d'un canvas en dessinant des fleurs
 * Le nombre de fleurs par ligne est dfini par la valeur d'un input d'identifiant
 * 'nbFleursLigne'
 */

function champFleurs() {
    const nbFleursLigne = parseFloat(document.getElementById('nbFleursLigne').value);
    const canvas = document.getElementById('zoneDessin');
    const ctx = canvas.getContext("2d");
    const rayonFleur = canvas.width / (nbFleursLigne * 2);

    let cy = rayonFleur;
    // efface la zone de dessin
    ctx.clearRect(0, 0, canvas.width, canvas.height);
    for (let noLigne = 1; noLigne <= nbFleursLigne; noLigne++) {
        let cx = rayonFleur;
        //  dessiner la ligne noLigne
        for (let i = 0; i < nbFleursLigne; i++) {
            fleur(ctx, cx, cy, rayonFleur, rayonFleur / 10, 12, 'red');
            cx += 2 * rayonFleur;
        }
        cy += 2 * rayonFleur;
    }
}


